IF NOT EXISTS(SELECT 1
FROM sysobjects,
syscolumns
WHERE sysobjects.id = syscolumns.id
AND sysobjects.name = 'MancanzeEccedenze'
AND syscolumns.name = 'Registrata')
BEGIN 
ALTER TABLE dbo.MancanzeEccedenze ADD
	Registrata bit NOT NULL CONSTRAINT DF_MancanzeEccedenze_Registrata_1 DEFAULT ((1))
END





/****** Object:  View [dbo].[vMancanzeEccedenze]    Script Date: 11/20/2015 10:03:26 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vMancanzeEccedenze]'))
DROP VIEW [dbo].[vMancanzeEccedenze]
GO


/****** Object:  View [dbo].[vMancanzeEccedenze]    Script Date: 11/20/2015 10:03:27 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vMancanzeEccedenze]
AS
SELECT     dbo.Soggetti.RagioneSociale, dbo.Prodotti.Testata, dbo.Uscite.NumeroCopertina, dbo.Uscite.PrezzoCopertinaEuroDistributore, 
                      dbo.Soggetti.IDTipoSoggetto, dbo.Uscite.DataUscita, dbo.Prodotti.IDProd, dbo.Soggetti.CodiceFIEG, dbo.Documenti.Data, 
                      dbo.TipiDocumento.TipoBollaInforiv, dbo.Documenti.Numero, dbo.Uscite.IDProdotto, dbo.MancanzeEccedenze.IDDocumento, 
                      dbo.MancanzeEccedenze.IDDocumentoRiga, dbo.MancanzeEccedenze.IDDL, dbo.MancanzeEccedenze.TipoRichiesta, 
                      dbo.MancanzeEccedenze.FlagRifAr, dbo.MancanzeEccedenze.FornitoTotale, dbo.MancanzeEccedenze.GiacenzaAttuale, 
                      dbo.MancanzeEccedenze.CopieRichieste, dbo.MancanzeEccedenze.Nota, dbo.MancanzeEccedenze.IDUtente, 
                      dbo.MancanzeEccedenze.DataRichiesta, dbo.MancanzeEccedenze.InfoRivDataInvio, dbo.MancanzeEccedenze.IDUscita, 
                      dbo.MancanzeEccedenze.IDRichiesta, dbo.MancanzeEccedenze.TipoMovimento, dbo.MancanzeEccedenze.DataRisposta, 
                      dbo.MancanzeEccedenze.DataRipetizioneRichiesta, dbo.MancanzeEccedenze.CausaleMancataEvasione, dbo.MancanzeEccedenze.Note, 
                      dbo.MancanzeEccedenze.Copie, dbo.MancanzeEccedenze.IDMancanzaEccedenza, dbo.Documenti.FlagRegistrata, 
                      dbo.MancanzeEccedenze.Registrata
FROM         dbo.Prodotti RIGHT OUTER JOIN
                      dbo.TipiDocumento RIGHT OUTER JOIN
                      dbo.Uscite RIGHT OUTER JOIN
                      dbo.MancanzeEccedenze ON dbo.Uscite.IDUscita = dbo.MancanzeEccedenze.IDUscita LEFT OUTER JOIN
                      dbo.Soggetti ON dbo.MancanzeEccedenze.IDDL = dbo.Soggetti.IDSoggetto LEFT OUTER JOIN
                      dbo.Documenti ON dbo.MancanzeEccedenze.IDDocumento = dbo.Documenti.IDDocumento ON 
                      dbo.TipiDocumento.IDTipoDocumento = dbo.Documenti.IDTipoDocumento ON dbo.Prodotti.IDProd = dbo.Uscite.IDProd
WHERE     (dbo.Soggetti.IDTipoSoggetto = 'DL')

GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = -183
         Left = 0
      End
      Begin Tables = 
         Begin Table = "Prodotti"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 121
               Right = 233
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "TipiDocumento"
            Begin Extent = 
               Top = 6
               Left = 271
               Bottom = 121
               Right = 469
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Uscite"
            Begin Extent = 
               Top = 126
               Left = 38
               Bottom = 241
               Right = 276
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "MancanzeEccedenze"
            Begin Extent = 
               Top = 246
               Left = 38
               Bottom = 361
               Right = 241
            End
            DisplayFlags = 280
            TopColumn = 18
         End
         Begin Table = "Soggetti"
            Begin Extent = 
               Top = 246
               Left = 279
               Bottom = 361
               Right = 457
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Documenti"
            Begin Extent = 
               Top = 366
               Left = 38
               Bottom = 481
               Right = 225
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column =' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vMancanzeEccedenze'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N' 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vMancanzeEccedenze'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vMancanzeEccedenze'
GO




/****** Object:  View [dbo].[vMancanzeEccedenzeInoltrate]    Script Date: 11/20/2015 10:16:35 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vMancanzeEccedenzeInoltrate]'))
DROP VIEW [dbo].[vMancanzeEccedenzeInoltrate]
GO



/****** Object:  View [dbo].[vMancanzeEccedenzeInoltrate]    Script Date: 11/20/2015 10:16:35 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vMancanzeEccedenzeInoltrate]
AS
SELECT     IDMancanzaEccedenza, IDDocumento, IDDocumentoRiga, IDDL, TipoRichiesta, FlagRifAr, FornitoTotale, GiacenzaAttuale, 
                      (CASE WHEN tiporichiesta = 'M' THEN (- CopieRichieste) ELSE CopieRichieste END) AS CopieRichieste, Nota, IDUtente, DataRichiesta, 
                      InfoRivDataInvio, IDRichiesta, TipoMovimento, DataRisposta, DataRipetizioneRichiesta, CausaleMancataEvasione, Note, Copie, IDUscita, 
                      Registrata
FROM         dbo.MancanzeEccedenze

GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "MancanzeEccedenze"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 121
               Right = 241
            End
            DisplayFlags = 280
            TopColumn = 18
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vMancanzeEccedenzeInoltrate'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vMancanzeEccedenzeInoltrate'
GO



/****** Object:  View [dbo].[vMancanzeEccedenzeRiscontrate]    Script Date: 11/20/2015 10:17:38 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vMancanzeEccedenzeRiscontrate]'))
DROP VIEW [dbo].[vMancanzeEccedenzeRiscontrate]
GO


/****** Object:  View [dbo].[vMancanzeEccedenzeRiscontrate]    Script Date: 11/20/2015 10:17:38 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

/*-(CASE WHEN TipoRichiesta = 'M' THEN (- Copie) ELSE Copie END) AS*/
CREATE VIEW [dbo].[vMancanzeEccedenzeRiscontrate]
AS
SELECT     IDMancanzaEccedenza, IDDocumento, IDDocumentoRiga, IDDL, TipoRichiesta, FlagRifAr, FornitoTotale, GiacenzaAttuale, CopieRichieste, Nota, 
                      IDUtente, DataRichiesta, InfoRivDataInvio, IDRichiesta, TipoMovimento, DataRisposta, DataRipetizioneRichiesta, CausaleMancataEvasione, Note, 
                      Copie, IDUscita, Registrata
FROM         dbo.MancanzeEccedenze
WHERE     (NOT (DataRisposta IS NULL))

GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "MancanzeEccedenze"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 121
               Right = 241
            End
            DisplayFlags = 280
            TopColumn = 18
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vMancanzeEccedenzeRiscontrate'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vMancanzeEccedenzeRiscontrate'
GO


